Subject: Re: [RFC/PATCH 1/3] gitweb: make suspenders more useful

From: Sam Vilain <[email-masked]>
Date: Mon, 24 Aug 2009 10:48:45 +1200

Mark Rada wrote:
>>> Subject: [RFC/PATCH 1/3] gitweb: make suspenders more useful
>>>       
>> Suspenders?  Really?
>>     
> Context:
>
> On 21/08/09 5:43 PM, Junio C Hamano wrote:
>   
>> I do not mind keeping these two lines as belt-and-suspender, though.
>>     
> Yup...I couldn't think of an appropriate title and I expect this
> patch to be edited (for another reason) or thrown out anyways.
>   

Please don't do that.  Use of metaphors makes the code harder to follow,
especially for non-native speakers.  In this case you confused me, a
British/NZ native speaker because you only used half of the idiom; so
all I was left with was a word which in the English where I speak refers
to a piece of clothing worn most often by prostitutes and people at the
Rocky Horror Picture Show.

Can I suggest "snapshot error handling" as a more neutral term...
Sam